> For the complete documentation index, see [llms.txt](https://docs-integration.squake.earth/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-integration.squake.earth/notable-changes/release-notes/2022/2022-dec.md).

# Product Release Notes December 2022 - Credit Notes, Trust Page & Private Jet Offsets

* 📊 **\[Dashboard]**

  • Refund calls stats added

  • Checkout page usage stats added
* 🔍 **\[Trust Page]**

  • Initial “Under Construction” page released

  • Full trust page frontend/backend implemented

  • Trust page now allows users to track the status of their contributions via `reference_id` from compensation confirmation

  • Compensation certificates now include direct trust page links
* 💳 **\[Credit Notes]**

  • New `CreditNote` and `CreditNoteItem` models

  • CRUD endpoints for credit notes

  • Endpoint to create credit\_note
* ✈️ **\[Calculations]**

  • New `private_jet` calculation for jet flight offsets

***

**📈 Improvements**

* 🛠 **\[General & API]**

  • Checkout page fallback if `fare_override` is too low

  • Validate `compensation_confirmation` schema on `/purchase` calls

  • Improved token expired response message

  • Better logging of client identifier on auth errors
* 🧾 **\[Invoices]**

  • Improved invoice admin page

  • Hide amount input if currency is EUR (invoice admin)

  • Remove “PDF missing” button from invoice admin
* 🌍 **\[Calculations]**

  • Update mobility\_co2 gem (multiple times)
* 📊 **\[Dashboard]**

  • Better charts for client dashboard
* 🗺 **\[Airports]**

  • Improved airports import
* 🧪 **\[Testing]**

  • Internal API docs improvements

  • Added new certification display


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-integration.squake.earth/notable-changes/release-notes/2022/2022-dec.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
